Summary: DOS emulator
Name: dosemu
Version: 0.66.7
Release: 1
ExclusiveArch: i386
Copyright: distributable
Group: Applications/Emulators
Source: ftp://tsx-11.mit.edu/pub/linux/ALPHA/dosemu/dosemu-%{PACKAGE_VERSION}.tgz
Patch: dosemu-0.66.7-config.patch
Patch2: dosemu-0.66.7-glibc.patch
Icon: dosemu.gif
Requires: kernel >= 2.0.28

%package -n xdosemu
Requires: dosemu = %{PACKAGE_VERSION}
Summary: DOS emulator designed to run under X
Group: Applications/Emulators

%description
This package enables you to run a number of DOS programs under Linux. You must
have DOS available as it only emulates the system level interface; it does
not provide a replacement for command.com. To try it, put a DOS boot disk
in your first floppy drive, log in as root, and type "dos".

%description -n xdosemu
This is a version of the DOS emulator that is designed to run in an X windows
session. It provides VGA graphics support as well as mouse support.

%changelog

* Mon Nov 03 1997 Michael K. Johnson <johnsonm@redhat.com>

- Updated to 0.66.7
- Ported to glibc

* Wed Apr 16 1997 Erik Troan <ewt@redhat.com>

- Updated to 0.66.2.
- Removed /usr/bin/load-dosmods as we don't need emumod.o anymore

* Tue Mar 11 1997 Michael K. Johnson <johnsonm@redhat.com>

Modify the default configuration file to use /var/lock in
ascii format for lock files, as specified in the FSSTD/FHS.

* Thu Mar 06 1997 Michael K. Johnson <johnsonm@redhat.com>

Assume vm86plus system call does not exist.
N.B. This should be changed in a future version with a later kernel
that supports that system call by default.

Install the mkhdimage program.

%prep
%setup
%patch -p1 -b .lock
%patch2 -p1 -b .glibc

%build
./configure --prefix=/usr --enable-nomitshm 
echo | make

%install
make install
install -m 755 -g 0 -o 0 src/tools/periph/mkhdimage /usr/bin/mkhdimage
mkdir -p /usr/X11R6/include/X11/pixmaps
install -m 644 -g 0 -o 0 etc/dosemu.users.secure /etc/dosemu.users
install etc/dosemu.xpm /usr/X11R6/include/X11/pixmaps
install etc/vga.pcf /usr/X11R6/lib/X11/fonts/misc/vga.pcf
install etc/config.dist /etc/dosemu.conf
install -m644 etc/hdimage.dist /var/lib/dosemu/hdimage
cd man
install -m 644 dos.1 /usr/man/man1
install -m 644 xdos.1 /usr/man/man1
ln -sf xdos.1 /usr/man/man1/xtermdos.1
cd ..
strip /usr/bin/dos

cat <<EOF >/usr/bin/rundos
#!/bin/sh
BINDIR=/bin
export BINDIR 
# ignore errors if user does not have module installed
/usr/bin/dos
EOF
chmod 0755 /usr/bin/rundos

%post -n xdosemu
if [ -x /usr/X11R6/bin/mkfontdir ]; then
	(cd /usr/X11R6/lib/X11/fonts/misc; /usr/X11R6/bin/mkfontdir)
fi

%postun -n xdosemu
if [ -x /usr/X11R6/bin/mkfontdir ]; then
	(cd /usr/X11R6/lib/X11/fonts/misc; /usr/X11R6/bin/mkfontdir)
fi

%files
%doc QuickStart doc/*
%dir /var/lib/dosemu
%config /etc/dosemu.conf
%config /etc/dosemu.users
%config /var/lib/dosemu/hdimage
/usr/bin/dos
/usr/bin/rundos
/usr/bin/mkhdimage
/usr/man/man1/dos.1
/usr/X11R6/include/X11/pixmaps/dosemu.xpm

%files -n xdosemu
/usr/bin/xdos
/usr/bin/xtermdos
/usr/man/man1/xdos.1
/usr/man/man1/xtermdos.1
/usr/X11R6/lib/X11/fonts/misc/vga.pcf
